MyGUI: MyGUI::MemberObsolete< WidgetManager > Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::MemberObsolete< WidgetManager > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< WidgetManager >:
[legend]

## Public Member Functions
void | destroyWidgetsVector (VectorWidgetPtr &_widgets)
Widget * | findWidgetT (const std::string &_name, bool _throw=true)
Widget * | findWidgetT (const std::string &_name, const std::string &_prefix, bool _throw=true)
void | parse (Widget *_widget, const std::string &_key, const std::string &_value)

## Detailed Description

Definition at line 542 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ destroyWidgetsVector()

void MyGUI::MemberObsolete< WidgetManager >::destroyWidgetsVector | ( | VectorWidgetPtr & | _widgets | ) |

Deprecated
  " is deprecated, use : void WidgetManager::destroyWidgets(VectorWidgetPtr &_widgets)"

Definition at line 1029 of file MyGUI_BackwardCompatibility.cpp.

## ◆ findWidgetT() [1/2]

Widget * MyGUI::MemberObsolete< WidgetManager >::findWidgetT | ( | const std::string & | _name,
|  | bool | _throw = true )

Deprecated
  " is deprecated"

Definition at line 1033 of file MyGUI_BackwardCompatibility.cpp.

## ◆ findWidgetT() [2/2]

Widget * MyGUI::MemberObsolete< WidgetManager >::findWidgetT | ( | const std::string & | _name,
|  | const std::string & | _prefix,
|  | bool | _throw = true )

Deprecated
  " is deprecated"

Definition at line 1037 of file MyGUI_BackwardCompatibility.cpp.

## ◆ parse()

void MyGUI::MemberObsolete< WidgetManager >::parse | ( | Widget * | _widget,
|  | const std::string & | _key,
|  | const std::string & | _value )

Deprecated
  " is deprecated, use : void Widget::setProperty(const std::string &_key, const std::string &_value)"

Definition at line 1041 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp